Index: editwin.c
===================================================================
--- editwin.c	(revision 521bc8412b2f592277a72eb4a6536bc019dad801)
+++ editwin.c	(revision bab52da15f80d81b3da5d94fbc838d058bfbe3b0)
@@ -33,6 +33,20 @@
 } oe_excursion;
 
+static void oe_reframe(owl_editwin *e);
+static void oe_save_excursion(owl_editwin *e, oe_excursion *x);
+static void oe_restore_excursion(owl_editwin *e, oe_excursion *x);
+static int oe_find_display_line(owl_editwin *e, int *x, int index);
+static int owl_editwin_limit_maxcols(int v, int maxv);
+static int owl_editwin_check_dotsend(owl_editwin *e);
+static void _owl_editwin_process_char(owl_editwin *e, gunichar j);
 static int owl_editwin_is_char_in(owl_editwin *e, char *set);
-static void oe_reframe(owl_editwin *e);
+static int owl_editwin_is_char_in(owl_editwin *e, char *set);
+static int owl_editwin_linewrap_word(owl_editwin *e);
+static gunichar owl_editwin_get_char_at_point(owl_editwin *e);
+
+static void _owl_editwin_addspace(owl_editwin *e);
+static void owl_editwin_overwrite_char(owl_editwin *e, gunichar c);
+static void owl_editwin_insert_char(owl_editwin *e, gunichar c);
+static void owl_editwin_overwrite_string(owl_editwin *e, char *string);
 
 #define INCR 5000
@@ -40,9 +54,11 @@
 #define WHITESPACE " \n\t"
 
-owl_editwin *owl_editwin_allocate(void) {
+owl_editwin *owl_editwin_allocate(void)
+{
   return owl_malloc(sizeof(owl_editwin));
 }
 
-static void oe_set_index(owl_editwin *e, int index) {
+static inline void oe_set_index(owl_editwin *e, int index)
+{
   e->index = index;
   e->goal_column = -1;
@@ -124,23 +140,28 @@
 }
 
-void owl_editwin_set_command(owl_editwin *e, char *command) {
+void owl_editwin_set_command(owl_editwin *e, char *command)
+{
   if(e->command) owl_free(e->command);
   e->command = owl_strdup(command);
 }
 
-char *owl_editwin_get_command(owl_editwin *e) {
+char *owl_editwin_get_command(owl_editwin *e)
+{
   if(e->command) return e->command;
   return "";
 }
 
-void owl_editwin_set_callback(owl_editwin *e, void (*cb)(owl_editwin*)) {
+void owl_editwin_set_callback(owl_editwin *e, void (*cb)(owl_editwin*))
+{
   e->callback = cb;
 }
 
-void (*owl_editwin_get_callback(owl_editwin *e))(owl_editwin*) {
+void (*owl_editwin_get_callback(owl_editwin *e))(owl_editwin*)
+{
   return e->callback;
 }
 
-void owl_editwin_set_cbdata(owl_editwin *e, void *data) {
+void owl_editwin_set_cbdata(owl_editwin *e, void *data)
+{
   e->cbdata = data;
 }
@@ -161,5 +182,5 @@
 }
 
-int owl_editwin_limit_maxcols(int v, int maxv)
+static int owl_editwin_limit_maxcols(int v, int maxv)
 {
   if (maxv > 5 && v > maxv) {
@@ -255,5 +276,5 @@
 
 /* malloc more space for the buffer */
-void _owl_editwin_addspace(owl_editwin *e)
+static void _owl_editwin_addspace(owl_editwin *e)
 {
   e->buff=owl_realloc(e->buff, e->allocated+INCR);
@@ -469,5 +490,5 @@
  * returns -1 if we could not wrap.
  */
-int _owl_editwin_linewrap_word(owl_editwin *e)
+static int owl_editwin_linewrap_word(owl_editwin *e)
 {
   int i;
@@ -504,5 +525,5 @@
  * characters over)
  */
-void owl_editwin_insert_char(owl_editwin *e, gunichar c)
+static void owl_editwin_insert_char(owl_editwin *e, gunichar c)
 {
   int i, ret, len;
@@ -553,5 +574,5 @@
 
 /* overwrite the character at the current point with 'c' */
-void owl_editwin_overwrite_char(owl_editwin *e, gunichar c)
+static void owl_editwin_overwrite_char(owl_editwin *e, gunichar c)
 {
   int oldlen, newlen, i;
@@ -692,5 +713,5 @@
  */
 
-void owl_editwin_overwrite_string(owl_editwin *e, char *string)
+static void owl_editwin_overwrite_string(owl_editwin *e, char *string)
 {
   char *p;
@@ -711,5 +732,5 @@
 
 /* We assume index is not set to point to a mid-char */
-gunichar _owl_editwin_get_char_at_point(owl_editwin *e)
+static gunichar owl_editwin_get_char_at_point(owl_editwin *e)
 {
   return g_utf8_get_char(e->buff + e->index);
@@ -762,5 +783,5 @@
   oe_save_excursion(e, &x);
   owl_editwin_point_move(e, -1);
-  ret = (_owl_editwin_get_char_at_point(e) == '\n');
+  ret = (owl_editwin_get_char_at_point(e) == '\n');
   oe_restore_excursion(e, &x);
 
@@ -773,5 +794,5 @@
   /* It would be awfully nice if we could do UTF-8 comparisons */
   for (p = set; *p != 0; p++)
-    if (_owl_editwin_get_char_at_point(e) == *p)
+    if (owl_editwin_get_char_at_point(e) == *p)
       return 1;
   return 0;
@@ -1072,5 +1093,5 @@
 }
 
-int owl_editwin_check_dotsend(owl_editwin *e)
+static int owl_editwin_check_dotsend(owl_editwin *e)
 {
   char *p, *p_n, *p_p;
@@ -1110,5 +1131,5 @@
 }
 
-void _owl_editwin_process_char(owl_editwin *e, gunichar j)
+static void _owl_editwin_process_char(owl_editwin *e, gunichar j)
 {
   if (!(g_unichar_iscntrl(j) && (j != 10) && (j != 13)) || j==9 ) {
